# Type Alias PluginLayout

type PluginLayout = {
authWrap?: (arg0: PluginAuthwrapArg) => string;
pluginName?: string;
renderBody?: (arg: any) => string;
wrap: PluginWrap;
}

- Defined in base_types.ts:169

##### Index

### Properties

authWrap?
pluginName?
renderBody?
wrap

## Properties

### `Optional` authWrap

authWrap?: (arg0: PluginAuthwrapArg) => string

- Defined in base_types.ts:171

### `Optional` pluginName

pluginName?: string

- Defined in base_types.ts:173

### `Optional` renderBody

renderBody?: (arg: any) => string

- Defined in base_types.ts:172

### wrap

wrap: PluginWrap

- Defined in base_types.ts:170